plottrue<-function(X,alpha=3,theta=4){
    plot(X,alpha*theta^alpha/(X+theta)^(alpha+1),xlab="x",ylab="f(x)",type='l')
}

kunif2<-function(x,y){
    return((abs(x-y)<0.2)/0.4)
}

kunif13<-function(x,y){
    return((abs(x-y)<1.3)/2.6)
}

ktri2<-function(x,y){
    return((abs(x-y)<0.2)*(abs(x-y)/0.04))
}

ktri13<-function(x,y){
    return((abs(x-y)<1.3)*(abs(x-y)/1.69))
}

kgam46<-function(x,y){
    al<-4.6
    th<-y/al
    return(x^(al-1)/th^al/exp(x/th)/gamma(al))
}

kgam16<-function(x,y){
    al<-1.6
    th<-y/al
    return(x^(al-1)/th^al/exp(x/th)/gamma(al))
}

kerneldensity<-function(data,kernel){
    f<-rep(0,6000)
    for(i in (1:6000)){
        f[i]<-mean(kernel(i/1000,data))
    }
    plottrue((1:6000)/1000)
    points((1:6000)/1000,f,type='l',col="red")
}



N<-2000


runSimulation<-function(N,kernel){
    data<-runif(N)
    alpha<-3
    theta<-4
    data<-(1/data^(1/alpha)-1)*theta

    kerneldensity(data,kernel)
}
